Search SSOConfig

LLM-friendly URL
POST
https://api.luzmo.com/0.1.0/ssoconfig
API call form
Examples
List of examples
  • Get SSO config by ID
  • Get all SSO configs for organization
Description

Get an SSO configuration by its ID. Only organization owners can view SSO configs.

Install
dotnet add package LuzmoSDK --version 1.0.3
Response when retrieving a single SSO configuration by ID.
Example Response
200
400
500
{
  "count": 1,
  "rows": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "organization_id": "550e8400-e29b-41d4-a716-446655440001",
      "protocol": "OIDC",
      "config": {
        "client_id": "your-client-id",
        "client_secret": "your-client-secret",
        "issuer": "https://your-oidc-provider.com",
        "authorization_url": "https://your-oidc-provider.com/auth",
        "token_url": "https://your-oidc-provider.com/token",
        "user_info_url": "https://your-oidc-provider.com/userinfo"
      },
      "is_verified": false,
      "disable_email_password": false,
      "created_at": "2024-01-15T10:30:00.000Z",
      "updated_at": "2024-01-15T10:30:00.000Z"
    }
  ]
}